Skip to main content
GET
/
card-holders
/
{cardHolderId}
Get a card holder by ID
curl --request GET \
  --url https://api-dev.paygen.online/card-holders/{cardHolderId} \
  --header 'Authorization: Bearer <token>'
{
  "statusCode": 123,
  "message": "<string>",
  "data": {
    "_id": "<string>",
    "name": "<string>",
    "person": {
      "firstName": "<string>",
      "lastName": "<string>",
      "dateOfBirth": "<string>",
      "email": "jsmith@example.com",
      "nationality": "<string>",
      "gender": "m",
      "phoneNumber": "<string>"
    },
    "address": {
      "line1": "<string>",
      "city": "<string>",
      "state": "<string>",
      "postalCode": "<string>",
      "countryCode": "<string>"
    },
    "identification": {
      "document": {
        "type": "<string>",
        "number": "<string>",
        "issueDate": "<string>",
        "expiryDate": "<string>",
        "issuingCountry": "<string>",
        "verificationStatus": "<string>",
        "description": "<string>",
        "urls": {
          "main": "<string>",
          "back": "<string>"
        },
        "meta": {
          "fileType": "<string>",
          "contentHash": "<string>"
        }
      },
      "proofOfAddress": {
        "type": "<string>",
        "documentId": "<string>",
        "verificationStatus": "<string>",
        "description": "<string>",
        "url": "<string>",
        "meta": {
          "fileType": "<string>",
          "contentHash": "<string>"
        }
      }
    },
    "meta": {
      "fundingSource": "<string>",
      "monthlyTransactionValue": "<string>"
    }
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

cardHolderId
string
required

Response

200 - application/json

Card holder fetched successfully.

statusCode
integer
required
message
string
required
data
object